//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules

#pragma interrupt_handler seuil;   // inter sur front montant digbuf (branche sur comparateur analogique)
void seuil(void);

BYTE ValHyst;	// variable globale pour hysteresis

// PROGRAMME PRINCIPAL

void main(void)
{
	COMP_Start(COMP_HIGHPOWER);
	DigBuf_Start();
	ValHyst=COMP_REF0_437;
	COMP_SetHyst(ValHyst);	// initialisation seuil à 0,437 soit 0x60
	M8C_EnableGInt ; // Autorisation Interruptions globales
	DigBuf_EnableInt(); // Autorisation Interruptions sur front montant de la sortie du DigBuf
	while(1)	// Boucle infinie
		{
		}
}

void seuil(void)				// Corps du sous programme d'interruption DigBuf
{
	if (ValHyst==0x00) ValHyst=0xe0;
	else ValHyst=ValHyst-0x10;
	COMP_SetHyst(ValHyst);
}